<?php
// show any kind or errors
error_reporting(E_ALL);
ini_set('display_errors', 1);

// include dsm facebook events class
include_once "libs/php/dsm_facebook_events.php";

// initialize class
$dsm_facebook_events = new DsmFacebookEvents();
date_default_timezone_set($dsm_facebook_events->default_timezone);

// get parameters
$show="calendar";
$fb_page_id=isset($_GET['fb_page_id']) ? $_GET['fb_page_id'] : "82945776796";
$month=isset($_GET['month']) ? $_GET['month'] : date('m');
$year=isset($_GET['year']) ? $_GET['year'] : date('Y');

// get page title
$dsm_facebook_events->show=$show;
$dsm_facebook_events->fb_page_id=$fb_page_id;
$dsm_facebook_events->month_range=12;
$dsm_facebook_events->setDateRange();
?>
<!DOCTYPE html>
<html lang="en">
<head>

    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title>Calendar View - Display Facebook Event on Website</title>

    <!-- Bootstrap CSS -->
	<link href="libs/js/bootstrap/dist/css/bootstrap.css" rel="stylesheet" media="screen">

	<!-- font awesome css -->
	<link rel="stylesheet" href="libs/css/font-awesome-4.4.0/css/font-awesome.min.css">

	<!-- custom css -->
	<link rel="stylesheet" href="libs/css/custom.css">

</head>
<body>

<div class="container">
	<div class='row'>
        <div class="col-md-12">
    	<?php
        include_once "navigation_tabs.php";
    	include_once "notes.php";

    	// variables
    	$curr_date=strtotime($year . "-" . $month . "-01");

    	$prev_month=date('m', strtotime('-1 month', $curr_date));
    	$prev_year=date('Y', strtotime('-1 month', $curr_date));

    	$next_month=date('m', strtotime('+1 month', $curr_date));
    	$next_year=date('Y', strtotime('+1 month', $curr_date));

    	// start rendering the calendar
    	echo '<h2 style="text-align:center;"><span class="glyphicon glyphicon-calendar"></span> ' . date('F Y', $curr_date) . '</h2>';

    	// prev and next month
    	echo "<div class='month-navigation'>";
    		echo "<a href='calendar_view.php?fb_page_id={$fb_page_id}&month={$prev_month}&year={$prev_year}' class='btn btn-primary pull-left'>";
    			echo "<span class='glyphicon glyphicon-chevron-left'></span> Prev Month";
    		echo "</a>";

    		echo "<a href='calendar_view.php?fb_page_id={$fb_page_id}&month={$next_month}&year={$next_year}' class='btn btn-primary pull-right'>";
    			echo "Next Month <span class='glyphicon glyphicon-chevron-right'></span>";
    		echo "</a>";
    	echo "</div>";

    	echo $dsm_facebook_events->draw_calendar($month, $year, $fb_page_id);

    	echo "</div>";
    	?>
        </div>
	</div>
</div>

<!-- modal html -->
<div id="events-modal" class="modal">
	<div class="modal-dialog">
		<div class="modal-content">
			<div class="modal-header">
				<h3 id="event-label" class="modal-title">Event Date</h3>
			</div>
			<div class="modal-body" style="padding:0;"></div>
			<div class="modal-footer" style="margin:0; padding:8px; border:none; text-align:center;">
				<button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
			</div>
		</div><!-- /.modal-content -->
	</div><!-- /.modal-dialog -->
</div><!-- /.modal -->

<!-- jQuery library -->
<script src="libs/js/jquery.js"></script>

<!-- bootstrap JavaScript -->
<script src="libs/js/bootstrap/dist/js/bootstrap.min.js"></script>
<script src="libs/js/bootstrap/docs-assets/js/holder.js"></script>

<!-- HTML5 Shiv and Respond.js IE8 support of HTML5 elements and media queries -->
<!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
<!--[if lt IE 9]>
<script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
<script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
<![endif]-->

<script>
// Make sure the DOM elements are loaded and accounted for
$(document).ready(function() {

	// Match to Bootstraps data-toggle for the modal
	// and attach an onclick event handler
	$('a[data-toggle="modal"]').on('click', function(e) {

		// change modal heading
		var date_label = $(e.currentTarget).data('date');
		$('#event-label').html(date_label);

		// remove previous content of modal body
		$('.modal-body').empty();
		$('.modal-body').html("");

		// target url
		var target_url=$(this).attr('href');

		// text while loading the url
		$('.modal-body').html('<div style="font-weight:bold; text-align:center; padding:1em;">Loading event info... <img src="images/ajax-loader-like-comment.gif" /></div>');

		$('#events-modal').modal('show');

		$('.modal-body').load(target_url);

		return false;
	});

    $('#events-select').on('change', function(){
		window.location.href=$(this).val();
	});
});
</script>

</body>
</html>
