<?php
// show any kind or errors
error_reporting(E_ALL);
ini_set('display_errors', 1);

// include dsm facebook events class
include_once "libs/php/dsm_facebook_events.php";

// initialize class
$dsm_facebook_events = new DsmFacebookEvents();

// get parameters
$show=isset($_GET['show']) ? $_GET['show'] : "upcoming";
$fb_page_id=isset($_GET['fb_page_id']) ? $_GET['fb_page_id'] : "82945776796";

// settings
$dsm_facebook_events->show=$show;
$dsm_facebook_events->fb_page_id=$fb_page_id;
$dsm_facebook_events->month_range=12;
$dsm_facebook_events->setDateRange();

// get page title
$page_title=$dsm_facebook_events->getPageTitle();
?>
<!DOCTYPE html>
<html lang="en">
<head>

	<meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width, initial-scale=1">

	<title><?php echo $page_title; ?></title>

    <!-- bootstrap css -->
	<link rel="stylesheet" href="libs/js/bootstrap/dist/css/bootstrap.css" media="screen">

	<!-- font awesome css -->
	<link rel="stylesheet" href="libs/css/font-awesome-4.4.0/css/font-awesome.min.css">

	<!-- custom css -->
	<link rel="stylesheet" href="libs/css/custom.css">

</head>
<body>

<!-- pre-load image loader -->
<img src="images/ajax-loader.gif" class="display-none" />

<div class="container">
	<div class="row">
		<div class="col-md-12">
			<?php
			include_once "navigation_tabs.php";
			include_once "notes.php";

			$obj=$dsm_facebook_events->readEvents();

			if(isset($obj['data'][0])){
				// show the event list
				include_once 'items_template.php';
			}

	        else{
	            echo "<div class='alert alert-info'>";
	                echo "No {$dsm_facebook_events->show} events found.";
	            echo "</div>";
	        }
			?>
		</div> <!-- end col-md-12 -->
	</div> <!-- end row -->
</div> <!-- end container -->

<!-- modal html -->
<div id="events-modal" class="modal">
	<div class="modal-dialog">
		<div class="modal-content">
			<div class="modal-header">
				<h3 id="event-label" class="modal-title">Event Date</h3>
			</div>
			<div class="modal-body" style="padding:0;"></div>
			<div class="modal-footer" style="margin:0; padding:8px; border:none; text-align:center;">
				<button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
			</div>
		</div><!-- /.modal-content -->
	</div><!-- /.modal-dialog -->
</div><!-- /.modal -->

<!-- jQuery library -->
<script src="libs/js/jquery.js"></script>

<!-- bootstrap JavaScript -->
<script src="libs/js/bootstrap/dist/js/bootstrap.min.js"></script>
<script src="libs/js/bootstrap/docs-assets/js/holder.js"></script>

<!-- HTML5 Shiv and Respond.js IE8 support of HTML5 elements and media queries -->
<!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
<!--[if lt IE 9]>
<script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
<script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
<![endif]-->

<script>
// Make sure the DOM elements are loaded and accounted for
$(document).ready(function() {

	// Match to Bootstraps data-toggle for the modal
	// and attach an onclick event handler
	$('a[data-toggle="modal"]').on('click', function(e) {

		// change modal heading
		var date_label = $(e.currentTarget).data('title');
		$('#event-label').html(date_label);

		// remove previous content of modal body
		$('.modal-body').empty();
		$('.modal-body').html("");

		// target url
		var target_url=$(this).attr('href');

		// text while loading the url
		$('.modal-body').html('<div style="font-weight:bold; text-align:center; padding:1em;">Loading event info... <img src="images/ajax-loader-like-comment.gif" /></div>');

		$('#events-modal').modal('show');

		$('.modal-body').load(target_url);

		return false;
	});

	$('#events-select').on('change', function(){
		window.location.href=$(this).val();
	});
});
</script>

</body>
</html>
